%define upstream_name    Padre
%define appli_name       padre
%define upstream_version 0.69

Name:       %{appli_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

License:    GPL+ or Artistic
Group:      Development/Perl
Summary:    Perl Application Development and Refactoring Environment
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SZ/SZABGAB/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::wxWidgets)
BuildRequires: perl(App::Ack)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Class::Adapter)
BuildRequires: perl(Class::Unload)
BuildRequires: perl(Class::XSAccessor::Array)
BuildRequires: perl(Cwd)                       >= 3.270.100
BuildRequires: perl(Debug::Client)
BuildRequires: perl(Devel::Dumpvar)
BuildRequires: perl(Devel::Refactor)
BuildRequires: perl(Encode)                    >= 2.260.0
BuildRequires: perl(ExtUtils::Manifest)        >= 1.560.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::pushd)
BuildRequires: perl(File::ShareDir)
BuildRequires: perl(File::ShareDir::PAR)
BuildRequires: perl(File::Spec)                >= 3.270.100
BuildRequires: perl(File::Which)
BuildRequires: perl(Format::Human::Bytes)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IO::String)
BuildRequires: perl(Locale::Msgfmt) 
BuildRequires: perl(LWP::UserAgent) 
BuildRequires: perl(Module::Build) 
BuildRequires: perl(Module::CoreList)
BuildRequires: perl(Module::Install) 
BuildRequires: perl(Module::Refresh)
BuildRequires: perl(Module::Starter)
BuildRequires: perl(ORLite)
BuildRequires: perl(ORLite::Migrate)
BuildRequires: perl(PAR)
BuildRequires: perl(Params::Util)
BuildRequires: perl(Parse::ErrorString::Perl)
BuildRequires: perl(Parse::ExuberantCTags)
BuildRequires: perl(Pod::Abstract)
BuildRequires: perl(Pod::POM)
BuildRequires: perl(Pod::Perldoc)              >= 3.150.0
BuildRequires: perl(Pod::Simple)
BuildRequires: perl(Pod::Simple::XHTML)
BuildRequires: perl(PPI)
BuildRequires: perl(PPIx::EditorTools)
BuildRequires: perl(Probe::Perl)
BuildRequires: perl(Template::Tiny)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)                >= 0.880.0
BuildRequires: perl(Test::Most)
BuildRequires: perl(Test::NeedsDisplay)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Script)
BuildRequires: perl(Text::FindIndent)
BuildRequires: perl(Thread::Queue)             >= 2.110.0
BuildRequires: perl(threads)                   >= 1.710.0
BuildRequires: perl(threads::shared)           >= 1.260.0
BuildRequires: perl(URI)
BuildRequires: perl(Wx)
BuildRequires: perl(Wx::Perl::ProcessStream)

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

Requires:      gettext
Requires:      perl(Class::Adapter::Builder)
Requires:      perl(Class::Accessor)
Requires:      perl(Class::Unload)
Requires:      perl(Class::XSAccessor::Array)
Requires:      perl(DBD::SQLite)
Requires:      perl(Devel::Dumpvar)
Requires:      perl(Encode)
Requires:      perl(File::Copy::Recursive)
Requires:      perl(File::Find::Rule)
Requires:      perl(File::HomeDir)
Requires:      perl(File::Which)
Requires:      perl(File::pushd)
Requires:      perl(IPC::Cmd)
Requires:      perl(IPC::Run3)
Requires:      perl(Locale::Msgfmt) 
Requires:      perl(Module::CoreList)
Requires:      perl(Module::Refresh)
Requires:      perl(Module::Starter)
Requires:      perl(PAR)
Requires:      perl(Parse::ExuberantCTags)
Requires:      perl-PathTools
Requires:      perl(Probe::Perl)
Requires:      perl(Text::FindIndent)
Requires:      perl(Thread::Queue)             >= 2.110.0
Requires:      perl(Wx::Perl::ProcessStream)
Requires:      perl(threads)
Requires:      perl(threads::shared)

Obsoletes: perl-Padre-Plugin-Encode <= 0.1.3
Provides:  perl-Padre-Plugin-Encode = %{version}

Obsoletes: perl-Wx-Perl-Dialog <= 0.04
Provides:  perl-Wx-Perl-Dialog = %{version}

Obsoletes: perl-Padre <= 0.400.0
Provides:  perl-Padre = %{version}

Suggests: perl(Padre::Plugin::Autoformat)
Suggests: perl(Padre::Plugin::CSS)
Suggests: perl(Padre::Plugin::Catalyst)
Suggests: perl(Padre::Plugin::ClassSniff)
Suggests: perl(Padre::Plugin::DataWalker)
Suggests: perl(Padre::Plugin::Ecliptic)
Suggests: perl(Padre::Plugin::Git)
Suggests: perl(Padre::Plugin::HTML)
Suggests: perl(Padre::Plugin::Kate)
Suggests: perl(Padre::Plugin::Nopaste)
Suggests: perl(Padre::Plugin::PAR)
Suggests: perl(Padre::Plugin::Parrot)
Suggests: perl(Padre::Plugin::Perl6)
Suggests: perl(Padre::Plugin::PerlCritic)
Suggests: perl(Padre::Plugin::PerlTidy)
Suggests: perl(Padre::Plugin::SpellCheck)
Suggests: perl(Padre::Plugin::Swarm)
Suggests: perl(Padre::Plugin::ViewInBrowser)


%description
Padre - Perl Application Development and Refactoring Environment

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
DISPLAY= %{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
#DISPLAY= %make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/padre
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Tue Aug 17 2010 Jérôme Quelin <jquelin@mandriva.org> 0.690.0-1mdv2011.0
+ Revision: 570934
- update to 0.69

* Wed Jul 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.680.0-1mdv2011.0
+ Revision: 562531
- update to 0.68

* Tue Apr 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.600.0-1mdv2010.1
+ Revision: 537033
- update to 0.60
- update to 0.59

* Tue Mar 09 2010 Jérôme Quelin <jquelin@mandriva.org> 0.580.0-1mdv2010.1
+ Revision: 517118
- update to 0.58

* Fri Feb 19 2010 Jérôme Quelin <jquelin@mandriva.org> 0.570.0-1mdv2010.1
+ Revision: 508051
- update to 0.57

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.560.0-2mdv2010.1
+ Revision: 504803
- adding a suggests:

* Mon Feb 01 2010 Jérôme Quelin <jquelin@mandriva.org> 0.560.0-1mdv2010.1
+ Revision: 499154
- update to 0.56

* Thu Jan 21 2010 Jérôme Quelin <jquelin@mandriva.org> 0.550.0-1mdv2010.1
+ Revision: 494472
- update to 0.55

* Thu Jan 07 2010 Jérôme Quelin <jquelin@mandriva.org> 0.540.0-2mdv2010.1
+ Revision: 487194
- bump mkrel
- update list of suggests:

* Thu Jan 07 2010 Jérôme Quelin <jquelin@mandriva.org> 0.540.0-1mdv2010.1
+ Revision: 487111
- update to 0.54
- adding missing buildrequires:
- update to 0.53

* Tue Dec 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.520.0-1mdv2010.1
+ Revision: 478794
- update to 0.52

* Mon Dec 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.510.0-1mdv2010.1
+ Revision: 474372
- padre tests do not require display anymore
- adding missing buildrequires:
- update to 0.51

* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.500.0-1mdv2010.1
+ Revision: 462995
- update to 0.50

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.490.0-1mdv2010.1
+ Revision: 460770
- update to 0.49

* Sat Sep 26 2009 Jérôme Quelin <jquelin@mandriva.org> 0.470.0-1mdv2010.0
+ Revision: 449448
- adding missing buildrequires:
- update to 0.47

* Mon Sep 14 2009 Jérôme Quelin <jquelin@mandriva.org> 0.460.0-1mdv2010.0
+ Revision: 439610
- update to 0.46

* Wed Sep 02 2009 Jérôme Quelin <jquelin@mandriva.org> 0.450.0-1mdv2010.0
+ Revision: 424988
- update to 0.45

* Tue Aug 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.440.0-1mdv2010.0
+ Revision: 420969
- update to 0.44

* Mon Aug 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.430.0-1mdv2010.0
+ Revision: 417225
- xvfb not enough for tests
- typo in xvfb-run
- inserting xvfb-run call
- fixed %%setup error
- update buildrequires:
- update to 0.43

* Fri Aug 07 2009 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-3mdv2010.0
+ Revision: 411263
- forcing version of requires

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.420.0-2mdv2010.0
+ Revision: 408802
- adding missing buildrequires:
- adding missing buildrequires:
- bump %%mkrel
- adding missing buildrequires:
- update to 0.42

* Fri Jul 24 2009 Jérôme Quelin <jquelin@mandriva.org> 0.410.0-1mdv2010.0
+ Revision: 399258
- update to 0.41

* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-1mdv2010.0
+ Revision: 396731
- renaming package perl-Padre to padre
- renaming package perl-Padre to padre

* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.400.0-2mdv2010.0
+ Revision: 396715
- update to 0.40

* Fri Jul 10 2009 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-2mdv2010.0
+ Revision: 394269
- adding provides:

* Thu Jul 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.390.0-1mdv2010.0
+ Revision: 393850
- update to 0.39

* Mon Jun 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 390542
- update to 0.38
- adding missing requires:

* Thu Jun 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.370.0-1mdv2010.0
+ Revision: 388913
- update to 0.37

* Sat May 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.360.0-1mdv2010.0
+ Revision: 381422
- update to 0.36
- using %%perl_convert_version
- cleaned License: field

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.35-2mdv2010.0
+ Revision: 376147
- adding a version to the obsoletes: instruction

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.35-1mdv2010.0
+ Revision: 374149
- update to 0.35

* Fri May 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.34-1mdv2010.0
+ Revision: 369784
- update to 0.34

* Wed Mar 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.29-4mdv2009.1
+ Revision: 361078
- bumping mkrel
- removing abusive dependency

* Wed Mar 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.29-3mdv2009.1
+ Revision: 361029
- fix dependencies

* Tue Mar 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.29-2mdv2009.1
+ Revision: 356505
- adding missing prereqs

* Fri Mar 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.29-1mdv2009.1
+ Revision: 354584
- update to new version 0.29

* Fri Mar 13 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-5mdv2009.1
+ Revision: 354527
- fixed wrong requirement

* Wed Mar 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-4mdv2009.1
+ Revision: 353766
- adding missing prereqs

* Fri Mar 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-3mdv2009.1
+ Revision: 349747
- bumping mkrel
- adding obsolete tag

* Thu Mar 05 2009 Jérôme Quelin <jquelin@mandriva.org> 0.28-2mdv2009.1
+ Revision: 349074
- bumping mkrel
- wx::perl::dialog now part of padre

* Thu Mar 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.28-1mdv2009.1
+ Revision: 348831
- update to new version 0.28

* Wed Feb 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.27-1mdv2009.1
+ Revision: 339334
- update to new version 0.27
- update to 0.26

* Mon Jan 12 2009 Jérôme Quelin <jquelin@mandriva.org> 0.25-1mdv2009.1
+ Revision: 328613
- update to 0.25

* Tue Dec 16 2008 Jérôme Quelin <jquelin@mandriva.org> 0.21-1mdv2009.1
+ Revision: 314782
- upgrade to 0.21

* Tue Nov 25 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.18-1mdv2009.1
+ Revision: 306721
- update to new version 0.18

* Tue Nov 11 2008 Jérôme Quelin <jquelin@mandriva.org> 0.16-2mdv2009.1
+ Revision: 302307
- yet another missing prereq
- add missing prereq Wx::Perl::Dialog

* Mon Nov 10 2008 Jérôme Quelin <jquelin@mandriva.org> 0.16-1mdv2009.1
+ Revision: 301801
- update to new version 0.16

* Mon Nov 03 2008 Jérôme Quelin <jquelin@mandriva.org> 0.15-1mdv2009.1
+ Revision: 299567
- update to new version 0.15

* Wed Oct 29 2008 Jérôme Quelin <jquelin@mandriva.org> 0.14-1mdv2009.1
+ Revision: 298553
- updated to 0.14

* Thu Oct 23 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.12-1mdv2009.1
+ Revision: 296843
- New version 0.12

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-2mdv2009.1
+ Revision: 296824
- requires PAR

* Mon Sep 22 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.10-1mdv2009.1
+ Revision: 286966
- Update to Version 0.10

* Sat Sep 06 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.07-1mdv2009.0
+ Revision: 282008
- New release 0.07

* Mon Sep 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.06-3mdv2009.0
+ Revision: 278457
- Fix Requires

* Mon Sep 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.06-2mdv2009.0
+ Revision: 278333
- Add some requires

* Sun Aug 31 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.06-1mdv2009.0
+ Revision: 278051
- Update to 0.06
- import perl-Padre

